# mongoc_client_pool_try_pop()

## Synopsis

    mongoc_client_t *
    mongoc_client_pool_try_pop (mongoc_client_pool_t *pool)
       BSON_GNUC_WARN_UNUSED_RESULT;

This function is identical to mongoc_client_pool_pop() except it will return `NULL` instead of blocking for a client to become available.

## Parameters

- `pool`: A mongoc_client_pool_t.

## Returns

A mongoc_client_t if one is immediately available, otherwise `NULL`.

## Thread Safety

This function is safe to call from multiple threads.